Bug 1482898 - python-simpleparse: Provide a Python 3 subpackage
Summary: python-simpleparse: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-simpleparse
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2017-08-18 10:57 UTC by Iryna Shcherbina
Modified: 2018-01-30 14:30 UTC (History)
4 users (show)

Fixed In Version: python-simpleparse-2.2.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 14:30:42 UTC
Type: Bug


Attachments (Terms of Use)
New version including Python 3 subpackage (4.27 KB, text/plain)
2017-08-25 13:55 UTC, Jan Beran
no flags Details

Description Iryna Shcherbina 2017-08-18 10:57:44 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Beran 2017-08-25 13:55:50 UTC
Created attachment 1318237 [details]
New version including Python 3 subpackage

Comment 2 Jan Beran 2017-08-25 13:58:10 UTC
Hello Andy,

may I ask to review the patch, and if it is fine, to make the new package in Fedora?

Thank you.

Jan

Comment 3 Jan Beran 2017-09-18 13:25:13 UTC
Hello Andy, please, may I ask for your feedback?

Comment 4 Miro Hrončok 2017-10-12 14:01:05 UTC
> -%filter_provides_in %{python_sitearch}/.*\.so$\
> +%filter_provides_in %{python2_sitearch}/.*\.so$\
> +%filter_provides_in %{python3_sitearch}/.*\.so$\

I think this can be entirely removed because it si not needed any more and those files are never provided so there is no need to filter them out.

Even if it was needed, this way it doesn't work. This macro can be used only once (with a regex OR).

> +mv %{buildroot}%{python3_sitearch}/simpleparse/stt/TextTools/mxTextTools/mxTextTools.*.so %{buildroot}%{python3_sitearch}/simpleparse/stt/TextTools/mxTextTools/mxTextTools.so

Why is this done? It makes zero sense to me. If it is needed, please add a comment explaining why. If not, please don't do it.

> +%{python2_sitearch}

and

> +%{python3_sitearch}

I know you are not changing anything here, because this was already done wrong in the original, but this is wrong. A python module package cannot own this directory, it is owned by pythonX-libs. Please at least use %{pythonX_sitearch}/* if nothing more specific.

Comment 5 Jan Beran 2017-10-13 15:17:17 UTC
Hi Miro, thanks for your review. I have provided the updated patch here: https://src.fedoraproject.org/rpms/python-simpleparse/pull-request/1

Comment 6 Jan Beran 2017-10-16 08:19:25 UTC
Miro, thank you for the additional explanation at https://src.fedoraproject.org/rpms/python-simpleparse/pull-request/1. I have updated the patch:
https://src.fedoraproject.org/rpms/python-simpleparse/pull-request/2

Comment 7 Jan Beran 2018-01-12 07:16:29 UTC
Hi Andy,

may I ask you to review the Pagure PR [1] and rebuild the package?

Thank you.

[1] https://src.fedoraproject.org/rpms/python-simpleparse/pull-request/2

Comment 8 Andy Grover 2018-01-16 23:19:01 UTC
package handed off to python-sig, feel free to take this BZ too.

Comment 9 Miro Hrončok 2018-01-17 09:22:05 UTC
I will finish this soon. If not, bump me.

Comment 10 Miro Hrončok 2018-01-30 14:30:42 UTC
Thanks Jan for the PR. Merged and built.


Note You need to log in before you can comment on or make changes to this bug.